package org.objectteams;

/**
 * Exception to be thrown when a bound role is being instantiated but
 * the constructor does not assign a base object.
 *  
 * @author stephan
 */
@SuppressWarnings("serial")
public class IllegalRoleCreationException extends RuntimeException {
	public IllegalRoleCreationException() {
		super();
	}
	
	@Override
	public String getMessage() {
		return "Cannot instantiate a bound role using a default constructor of its tsuper class";
	}
}
