/*
 * Created on 05.10.2004
 */
package org.objectteams;

/**
 * @author resix
 */
public class UnsupportedFeatureException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private static final String _bugmsg = "\nThe program encountered an unsupported situation! ";

	/**
	 * 
	 */
	public UnsupportedFeatureException() {
		super(_bugmsg);
	}

	/**
	 * @param message
	 */
	public UnsupportedFeatureException(String message) {
		super(_bugmsg + "\n" + message);
		StackTraceElement[] ste = new StackTraceElement[0];
		setStackTrace(ste);
	}

	/**
	 * @param cause
	 */
	public UnsupportedFeatureException(Throwable cause) {
		super(_bugmsg + cause.toString());
	}

	/**
	 * @param message
	 * @param cause
	 */
	public UnsupportedFeatureException(String message, Throwable cause) {
		super(_bugmsg + message/*+cause.toString()*/);
	}
}
