/*
 * Created on 27.07.2005
 */
package org.objectteams.transformer.jplis;

import java.lang.instrument.Instrumentation;


//ObjectTeams/Java Runtime System.
//Copyright (c) 2002 Christine Hundt, 2003 Stephan Herrmann, 2004 Christine Hundt.
//Project Home Page: http://www.ObjectTeams.org
//
//This program is free software.
//
//You may redistribute it and/or modify it under the terms of the
//GNU Lesser General Public License as published by the
//Free Software Foundation. Version 2.1 of the license should be
//included with this distribution in the file LICENSE.LGPL.
//If the license is not included with this distribution,
//you may find a copy at the FSF web site at 'www.gnu.org' or
//'www.fsf.org', or you may write to the Free Software Foundation,
//675 Mass Ave, Cambridge, MA 02139 USA.
//
//THIS SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND,
//NOT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY. THE AUTHOR
//OF THIS SOFTWARE, ASSUMES _NO_ RESPONSIBILITY FOR ANY
//CONSEQUENCE RESULTING FROM THE USE, MODIFICATION, OR
//REDISTRIBUTION OF THIS SOFTWARE.

/**
*
* @version $Id: otreAgent.java,v 1.4 2006-10-09 16:02:53 resix Exp $
* @author  Christine Hundt
*/
public class otreAgent {

	private static Instrumentation instCopy;
//	private static String optionsCopy;
	
	private static ObjectTeamsTransformer otTransformer;

	public static void premain(String options, Instrumentation inst) {
		instCopy = inst;
//		optionsCopy = options;
		
		// add all necessary transformers:
		otTransformer = new ObjectTeamsTransformer();
		instCopy.addTransformer(otTransformer);
		
		/* All future class definitions will be seen by the transformer, 
		 except definitions of classes upon which any registered transformer is dependent. */
	}
	
	public static Instrumentation getInstrumentation() {
		return instCopy;
	}
}
