/*
 * Created on 05.10.2004
 */
package org.objectteams;

/**
 * @author resix
 */

public class ResultNotProvidedException extends RuntimeException {

		/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
		private static final String _bugmsg = 
		"\nNo base call executed! Result value was uninitialized!\n(see OT/J language definition para. 4.3(e)).";

		/**
		 * 
		 */
		public ResultNotProvidedException() {
			super(_bugmsg);
		}

		/**
		 * @param message
		 */
		public ResultNotProvidedException(String message) {
			super(_bugmsg + "\n" + message);
			StackTraceElement[] ste = new StackTraceElement[0];
			setStackTrace(ste);
		}

		/**
		 * @param cause
		 */
		public ResultNotProvidedException(Throwable cause) {
			super(_bugmsg + cause.toString());
		}

		/**
		 * @param message
		 * @param cause
		 */
		public ResultNotProvidedException(String message, Throwable cause) {
			super(_bugmsg + message/* +cause.toString() */);
		}
}
